# -*- makefile -*-
#-------------------------------------------------------------------------
#       GNU ACE Workspace
#
# GNUACEWorkspaceCreator.pm,v 1.33 2004/09/29 14:41:58 elliott_c Exp
#
# This file was generated by MPC.  Any changes made directly to
# this file will be lost the next time it is generated.
#
# MPC Command:
# bin/mwc.pl -include /tmp/rerelease/ACE_wrappers/MPC/config -include /tmp/rerelease/ACE_wrappers/MPC/templates -exclude ASNMP/asnmp.mwc,TAO/TAOACE.mwc,TAO/CIAO/CIAOTAO.mwc -recurse -hierarchy -relative ACE_ROOT=/tmp/rerelease/ACE_wrappers
#
#-------------------------------------------------------------------------
MAKEFILE = GNUmakefile

ifeq ($(findstring k,$(MAKEFLAGS)),k)
  KEEP_GOING = -
endif

include $(ACE_ROOT)/include/makeinclude/macros.GNU

all: Allocator Array Containers_Hash_Map Containers_Map_Manager DLList Hash_Map_Hash Map_Manager_Specialization Queues RB_Tree RB_Tree_Functors Sets Stacks

.PHONY: Allocator
Allocator:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Allocator

.PHONY: Array
Array:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Array

.PHONY: Containers_Hash_Map
Containers_Hash_Map:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Containers_Hash_Map

.PHONY: Containers_Map_Manager
Containers_Map_Manager:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Containers_Map_Manager

.PHONY: DLList
DLList:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.DLList

.PHONY: Hash_Map_Hash
Hash_Map_Hash:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Hash_Map_Hash

.PHONY: Map_Manager_Specialization
Map_Manager_Specialization:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Map_Manager_Specialization

.PHONY: Queues
Queues:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Queues

.PHONY: RB_Tree
RB_Tree:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.RB_Tree

.PHONY: RB_Tree_Functors
RB_Tree_Functors:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.RB_Tree_Functors

.PHONY: Sets
Sets:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Sets

.PHONY: Stacks
Stacks:
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Stacks

REMAINING_TARGETS := $(subst all, , $(TARGETS_NESTED:.nested=)) $(CUSTOM_TARGETS)
$(REMAINING_TARGETS):
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Allocator $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Array $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Containers_Hash_Map $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Containers_Map_Manager $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.DLList $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Hash_Map_Hash $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Map_Manager_Specialization $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Queues $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.RB_Tree $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.RB_Tree_Functors $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Sets $(@)
	$(KEEP_GOING)@$(MAKE) -f GNUmakefile.Stacks $(@)

